<?php

/**
 * Hooks for TemplateFormEditor extension
 *
 */

class clsTemplateEditorHooks {
  
 
  /**
   * registers the extension at mediawiki
   */
  public static function register() {
	global $wgParser, 
	  $wgExtensionCredits,
	  $wgExtensionMessagesFiles;
	
	$wgParser->setHook(clsTypeDefinition::tagname, 'clsTypeDefinition::render');
	
	$dir = dirname( __FILE__ ) . '/';
	$wgExtensionMessagesFiles['TemplateFormEdit'] = $dir."TemplateForm.i18n.php";
	$wgExtensionCredits['other'][] =
	  array(
			'name' => 'TemplateFormEdit',
			'version' => '0.3.0',
			'date' => '07.06.2009',
			'author' => array('Andreas Moeller'),
			'url' => 'http://www.mediawiki.org/wiki/Extension:TemplateFormEditor',
			'descriptionmsg' => 'templateformedit-description',
			);
	
	return true;
  }
  
}

?>